HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.
Please upgrade here. These earlier versions are no longer being updated and have security issues.

Plugin disable/enable not working after upgrade

2»

Comments

  • I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

    vrijvlinder
  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    In german there is no need for spaces between words in a sentence....

    R_J
  • peregrineperegrine MVP
    edited December 2014

    @vrijvlinder said:
    In german there is no need for spaces between words in a sentence....

    yes I believe its called

    EsHeißtKamelFallDeutsch

    InDeutschgibteskeineNotwendigkeitfürdieLeerzeichenzwischendenWörternineinemSatz ....

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

    vrijvlinderR_J
  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    Yes the equivalent of Pig Latin .... ;)

    peregrine
  • R_JR_J Ex-Fanboy Munich Moderator

    Creating new words in German is a built-in feature and it's really fun :)


  • DenisSDenisS My brain hurts Buriram ✭✭
    edited December 2014

    2.1.6 error on trying to access Pockets, CIvil Tongue & Biz Links Plugins from the dashboard. I have tried other themes so i don't think a theme problem:

    The error occurred on or near: /home3/han/public_html/isaanexpats/library/core/class.dispatcher.php
    33: try {
    334: $this->FireEvent('BeforeControllerMethod');
    335: Gdn::PluginManager()->CallEventHandlers($Controller, $Controller->ControllerName, $ControllerMethod, 'Before');
    336:
    337: call_user_func_array($Callback, $Args);
    338: } catch (Exception $Ex) {
    339: $Controller->RenderException($Ex);
    340: }
    341: } elseif (method_exists($Controller, $ControllerMethod)) {

  • DenisSDenisS My brain hurts Buriram ✭✭

    Error on Auto Expire when trying to access bookmarks,
    "Invalid argument supplied for foreach()"

    LOCATION: /home3/han/public_html/isaanexpats/plugins/AutoExpireDiscussions/default.php

    159: );
    160: }
    161:
    162: public function DiscussionsController_Render_Before($Sender){

    163: foreach($Sender->Discussions As $Discussion){

    164: $this->ExpireCheck($Discussion);
    165: }
    166: $this->Expire();
    167: }

    BACKTRACE:
    [/home3/han/public_html/isaanexpats/plugins/AutoExpireDiscussions/default.php 163] PHP::Gdn_ErrorHandler();
    [/home3/han/public_html/isaanexpats/library/core/class.pluginmanager.php 705] AutoExpireDiscussions->DiscussionsController_Render_Before();
    [/home3/han/public_html/isaanexpats/library/core/class.pluginmanager.php 638] Gdn_PluginManager->CallEventHandler();
    [/home3/han/public_html/isaanexpats/library/core/class.pluggable.php 196] Gdn_PluginManager->CallEventHandlers();
    [/home3/han/public_html/isaanexpats/applications/vanilla/controllers/class.discussionscontroller.php 381] Gdn_Pluggable->__call();
    [/home3/han/public_html/isaanexpats/applications/vanilla/controllers/class.discussionscontroller.php 381] DiscussionsController->Render();
    [/home3/han/public_html/isaanexpats/applications/vanilla/controllers/class.discussionscontroller.php 381] DiscussionsController->BookmarkedPopin();
    [/home3/han/public_html/isaanexpats/library/core/class.dispatcher.php 351] PHP::call_user_func_array();
    [/home3/han/public_html/isaanexpats/index.php 46] Gdn_Dispatcher->Dispatch();

  • peregrineperegrine MVP
    edited December 2014

    @‌Denis .....

    the whole topic in this discussion is dealing with failure to enable any plugin in a windows environment not a specific plugin.

    it is really quite simple if you want to post errors you see in plugins....

    just follow these two concepts and it will be easier to track what you find out.

    1. go to the plugin choose ask question and post your question.
    2. and just add a note to http://vanillaforums.org/discussion/26703/plugins-themes-that-work-and-dont-work-in-vanilla-2-1#latest

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

  • whu606whu606 I'm not a SuperHero; I just like wearing tights... MVP
  • R_JR_J Ex-Fanboy Munich Moderator

    If you could hear me saying that, you would rather assume it is a very mean curse ;)


    peregrinevrijvlinder
  • peregrineperegrine MVP
    edited December 2014

    @R_J said:
    If you could hear me saying that, you would rather assume it is a very mean curse ;)

    post an mp3. I luff venyou cus atme :wink:

    it vould be eine earworm I vud nefer forgetten

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

    vrijvlinder
  • DenisSDenisS My brain hurts Buriram ✭✭

    peregrine: Ok if a a few plugins do not work correctly and they throw the same error is it a plugin error or a Vanilla 2.1.6. error? If this is so shall I start a new discussion Errors with 2.1.6? EG: The error occurred on or near: /home3/han/public_html/isaanexpats/library/core/class.dispatcher.php 33:

  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    You need to also update your plugins or fix them.

    peregrine
Sign In or Register to comment.